import React from 'react'

import {
  OpenModal,
  ActionLink,
  IconButton,
} from 'pubsweet-component-faraday-ui'

import AdminUserForm from './AdminUserForm'

const OpenUserForm = ({ edit, user, onSubmit, modalKey }) => (
  <OpenModal
    component={AdminUserForm}
    edit={edit}
    modalKey={modalKey}
    onSubmit={onSubmit}
    user={user}
  >
    {showModal =>
      edit ? (
        <IconButton icon="edit-2" iconSize={2} onClick={showModal} pt={1 / 2} />
      ) : (
        <ActionLink icon="plus" onClick={showModal}>
          ADD USER
        </ActionLink>
      )
    }
  </OpenModal>
)

export default OpenUserForm
